<?php

header("Cache-Control: no-cache");
header("Pragma: no-cache");

ini_set('include_path', "/usr/local/lib/php/" . ini_get("include_path"));
require_once 'SOAP/Client.php';

$url = 'http://api.google.com/GoogleSearch.wsdl';
$WSDL = new SOAP_WSDL($url);
$client = $WSDL->getProxy();

$query = $_GET["query"];

$params = array(
    'key' => "3+IMgyNQFHI2ek/3VtzF5PHZk1txudqg",
    'q' => $query,
	'start' => '0',
	'maxResults' => '10',
	'filter' => 'false',
	'restrict' => "",
	'safeSearch' => 'true',
	'lr' => "",
	'ie' => "",
	'oe' => ""
);

$result = $client->doGoogleSearch("3+IMgyNQFHI2ek/3VtzF5PHZk1txudqg", $query, 0, 10, false, "", true, "", "", "");


require_once('JSON.php');
$json = new Services_JSON();
$message = $json->encode($result->resultElements);

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Chapter 9 - Architecture - Search Results</title>
</head>
<body>
		<h2>Search Results for <?php echo $query ?></h2>
		<div >
				<div id="results">
				<?php
					for ($i=1;$i<count($result->resultElements);$i++)
					{
						$url = $title = $snippet = $cache = "";
	  					$url = $result->resultElements[$i]->URL;
					    $title = $result->resultElements[$i]->title;
					    $snippet = $result->resultElements[$i]->snippet;
					    $cache = $result->resultElements[$i]->cachedSize;
						if ($url != "")
						{
							print("<a href=\"$url\">$title</a><br/>$snippet<br/>");
        					print("<span style=\"color:green;\">$url - $cache</span><br/><br/>");
      					}
    				}
				?>        
				</div>
			</form>
		</div>
	</body>
</html>

