<?php
header("Cache-Control: no-cache");
header("Pragma: no-cache");

$query = $_GET["query"];

$url =  "http://www.google.com/complete/search?hl=en&output=toolbar&q=$query";

$result = file_get_contents($url);

/* Check response status */
list($version,$status,$msg) = explode(' ',$http_response_header[0], 3);

if ($status != 200)
{
 echo "Your call to the web service returned an error status of $status.";
 exit;
}

$doc = new DOMDocument();
$doc->loadXML($result);
		
$matches = array();
$suggestions = $doc->getElementsByTagName('suggestion');

foreach($suggestions as $suggestion) 
	$matches[] = trim($suggestion->getAttribute('data'), " \"");
    
	
require_once('JSON.php');
$json = new Services_JSON();
$jsonMatches = $json->encode($matches);	
print $jsonMatches;

?>


