if (!AjaxTCR.widget)
  {
	AjaxTCR.widget = {};
  }
  
AjaxTCR.widget.ratingWidget = {


defaults : {
	minRating: "Hate it!!!!",
	maxRating: "Love it",
	choices: 5,
	choiceOff: "star_off.gif",
	choiceOn: "star_hover.gif",
	choiceSelected: "star_reg.gif",
	method: "POST",
	template : "<h3 id='question{$id}'>{$question}</h3><em id='minRating{$id}'>{$minRating}</em><span id='ratings{$id}'>&nbsp;</span><em id='maxRatings{$id}'>{$minRating}</em><br /><br /><div id='ratingResult{$id}'> </div>"

},

init : function (options) {
	
    /* create ratingOptions Object */
	var ratingOptions = {};
	
    /* set defaults */
	for (var anOption in AjaxTCR.widget.ratingWidget.defaults)
		ratingOptions[anOption] = AjaxTCR.widget.ratingWidget.defaults[anOption];
	
	/* Set/Override Options */
	for (var anOption in options)
		ratingOptions[anOption] = options[anOption];

	var widget = $id(ratingOptions.id);
	var widgetBody = AjaxTCR.template.translateString(ratingOptions.template,AjaxTCR.data.encodeJSON(ratingOptions));
	widget.innerHTML = widgetBody;
	
	var ratings = $id("ratings" + ratingOptions.id);
	ratingOptions.prefixID = AjaxTCR.util.misc.generateUID("AjaxTCRRatingChoice");
	
	/* add the images to the rating container */
	for (var i = 0 ; i < ratingOptions.choices; i++)
	{
	 var ratingImage = document.createElement("img");
	 ratingImage.id = ratingOptions.prefixID + (i+1);
	 ratingImage.onclick = function (){AjaxTCR.widget.ratingWidget._rateClick(this, ratingOptions);};
     ratingImage.onmouseover = function (){AjaxTCR.widget.ratingWidget._rateOver(this, ratingOptions);};
	 ratingImage.src = ratingOptions.choiceOff;

	 ratings.appendChild(ratingImage);
	}

	/* set event to turn off images */
  	ratings.onmouseout = function (){AjaxTCR.widget.ratingWidget._rateOut(ratingOptions);}; 	 	
	},
 		  
_sendRating : function(rating, ratingOptions) {
	var url = ratingOptions.url;

  	var options = { method: "POST",
  	    outputTarget : "ratingResult" + ratingOptions.id,
		template : "templates/rating-Ajax.tpl",
		templateRender : "client",
		payload : ratingOptions.payloadValue + "=" + rating +"&response=json" };
	
	AjaxTCR.comm.sendRequest(url,options);
  },

_rateOver : function (choice, ratingOptions) {
	var current = parseInt(choice.id.slice(-1),10);
 	for (var j=1;j<=current;j++)
	 {
		$id(ratingOptions.prefixID + j).src = ratingOptions.choiceOn;
	 } 
 },

_rateOut : function (ratingOptions) {
	for (var j=1;j<=ratingOptions.choices;j++)
	  {
		$id(ratingOptions.prefixID + j).src = ratingOptions.choiceOff; 
	  }
  },
    
_rateClick : function (choice, ratingOptions) {
	var current = parseInt(choice.id.slice(-1),10);
	for (var j=1;j<=ratingOptions.choices;j++)
	{
	 var selection = $id(ratingOptions.prefixID + j);
	 
	 if (j <= current)
	  {
       selection.src = ratingOptions.choiceSelected;
      }
	  
	 selection.onmouseover = function (){};
	 selection.onclick = function (){};
    }
  
	$id("ratings" + ratingOptions.id).onmouseout = function (){};
	AjaxTCR.widget.ratingWidget._sendRating(current, ratingOptions);  }
	
}; /* ratingWidget */
					   
/* enable the rating widget */
AjaxTCR.util.event.addWindowLoadEvent(function () {
	var options = {
		id: 'ratingWidget1',
		question: "How do you feel about Ajax?",
		url: "http://ajaxref.com/ch9/rate.php",
		payloadValue : "rating"
	};
	
	AjaxTCR.widget.ratingWidget.init(options);
	
	var options2 = {
		id: 'ratingWidget2',
		question: "How do you feel about UI Widgets?",
		url: "http://ajaxref.com/ch9/rateui.php",
		payloadValue : "uirating"
	};
	AjaxTCR.widget.ratingWidget.init(options2);
	
});		
